#ifndef saa1099_h
#define saa1099_h

/**********************************************
	Philips SAA1099 Sound driver
**********************************************/

#define MAX_SAA1099 1

/* interface */
struct SAA1099_interface
{
	int numchips;						/* number of chips */
	int volume[MAX_SAA1099][2];			/* playback volume */
};

#ifdef __cplusplus
extern "C" {
#endif

int saa1099_sh_start(const struct MachineSound *msound);
void saa1099_sh_stop(void);


void saa1099_control_port_w(int chip,int,int data);
void saa1099_write_port_w(int chip,int,int data);


#ifdef __cplusplus
}
#endif

#endif
